=== contrib/CMakeLists.txt ===
add_subdirectory(bin)
