=== include/libmemcachedprotocol-0.0/CMakeLists.txt ===

install_public_headers(
        libmemcachedprotocol-0.0

        @configure.h
        binary.h
        callback.h
        handler.h
        vbucket.h
)
