=== include/libmemcachedutil-1.0/CMakeLists.txt ===

install_public_headers(
        libmemcachedutil-1.0

        flush.h
        ostream.hpp
        pid.h
        ping.h
        pool.h
        util.h
        version.h
        )
