=== debian/watch ===
version=3
http://download.tangent.org/libmemcached-(.*)\.tar\.gz
