## libmemcached 0.44

=== debian/changelog ===
libmemcached (0.44-1.1build1) oneiric; urgency=low

  * Rebuild against libevent-2.0-5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Aug 2011 14:39:31 +0100

libmemcached (0.44-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621633).

 -- Luk Claes <luk@debian.org>  Wed, 22 Jun 2011 19:21:55 +0200

libmemcached (0.44-1) unstable; urgency=low

  * New upstream release.
  * Added build-dep on libevent to ensure that memslap gets
    built. (Closes: #589442)
  * library soname bump.
  * Cleaned rules file.
  * Don't install ChangeLog by hand - it should just get picked up.

 -- Monty Taylor <mordred@inaugust.com>  Thu, 04 Nov 2010 18:48:58 -0700

libmemcached (0.43-1) unstable; urgency=low

  * New upstream release. (Closes: #590117)
  * Removed fix-spelling patch.
  * libmemcachedutil0 is now libmemcachedutil1.
  * Verified that memcslap is in libmemcached-tools. (Closes: #589442)
  * Updated standards to 3.9.1.
  * Removed reference to old BSD license file.
  * Updated branch location information.

 -- Monty Taylor <mordred@inaugust.com>  Thu, 26 Aug 2010 22:55:57 -0700
