## libmemcached 1.0.4

=== debian/changelog ===
libmemcached (1.0.4-2) unstable; urgency=low

  * Disable tests on all architectures due to networking problems on the 
    autobuilders.
  * libhashkit-dev now Replaces/Breaks on libmemcached-dev (<< 1.0.3-1) to 
    avoid ownership conflicts on certain files (Closes: #659193).
  * Update Vcs-* fields to point to new git repository.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 09 Feb 2012 07:53:00 +0100

libmemcached (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Add missing manpages.
  * libmemcached-dev depends on libsasl2-dev (Closes: #658768).
  * Drop B-D on libdrizzle-dev and libinnodb-dev as they are only used in a 
    single test or in example code.
  * Disable tests on armel, kfreebsd-amd64, kfreebsd-i386 and sparc because 
    of missing interfaces in the autobuilder.
  * Update libmemcached-tools.README.Debian to reflect tool renaming.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 06 Feb 2012 08:35:51 +0100

libmemcached (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #623010).
  * Bump Standards-Version to 3.9.2.
  * Add patch to fix spelling warning by lintian.
  * Add libcloog-ppl-dev to B-D to satisfy dependencies.
  * Increase SONAME versions on packages.
  * Split hashkit into separate packages.
  * Set priority from extra to optional (Closes: #643912).
  * Lower priority for libmemcached-dbg to extra.
  * Add libinnodb-dev to B-D.
  * Build with libsasl2 enabled.
  * Enable tests and remove override_dh_auto_configure.
  * Update homepage URLs.
  * Update feature list in description.
  * Rework d/copyright file to include up to date information.
  * Remove d/libmemcached9.symbols as C++ symbols are rather fragile.
  * Use launchpad URL in uscan watch file.
  * Set myself as maintainer.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 18 Jan 2012 09:55:57 +0100
