=== debian/control ===
Source: libmemcached
Priority: optional
Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: autoconf,
               automake (>= 1.10),
               debhelper (>= 7.0.50),
               libcloog-ppl-dev,
               libevent-dev,
               libsasl2-dev,
               libtool
Standards-Version: 3.9.2
Section: libs
Homepage: http://libmemcached.org/libMemcached.html
Vcs-Browser: http://git.fladi.at/libmemcached.git/
Vcs-Git: http://git.fladi.at/libmemcached.git/

Package: libmemcached9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmemcached2, libmemcached3, libmemcached6
Description: C and C++ client library to the memcached server
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the libmemcached shared library itself.

Package: libmemcached-dev
Section: libdevel
Architecture: any
Depends: libhashkit-dev (=${binary:Version}),
         libmemcached9 (= ${binary:Version}),
         libmemcachedprotocol0 (= ${binary:Version}),
         libmemcachedutil2 (= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: C and C++ client library to the memcached server (development files)
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the development files.

Package: libmemcached-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libhashkit1 (=${binary:Version}),
         libmemcached9 (= ${binary:Version}),
         libmemcachedprotocol0 (= ${binary:Version}),
         libmemcachedutil2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Debug Symbols for libmemcached
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides debug symbols.

Package: libmemcachedutil2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmemcached2, libmemcached3, libmemcached6
Description: library implementing connection pooling for libmemcached
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the libmemcachedutil library.

Package: libmemcachedprotocol0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmemcached2, libmemcached3, libmemcached6
Description: library implementing the memcached protocol
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the libmemcachedprotocol shared library.

Package: libhashkit1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmemcached2, libmemcached3, libmemcached6
Description: libmemcached hashing functions and algorithms
 libhashkit is a small and thread-safe client library that provides a
 collection of useful hashing algorithm. libhashkit is distributed with
 libmemcached.
 .
 This package provides the libhashkit shared library.

Package: libhashkit-dev
Section: libdevel
Architecture: any
Replaces: libmemcached-dev (<< 1.0.3-1)
Breaks: libmemcached-dev (<< 1.0.3-1)
Depends: libhashkit1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: libmemcached hashing functions and algorithms (development files)
 libhashkit is a small and thread-safe client library that provides a
 collection of useful hashing algorithm. libhashkit is distributed with
 libmemcached.
 .
 This package provides the development files.

Package: libmemcached-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Commandline tools for talking to memcached via libmemcached
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 This package provides several command line tools:
 .
   * memccat - Copy the value of a key to standard output
   * memcflush - Flush the contents of your servers.
   * memcrm - Remove a key(s) from the serrver.
   * memccp - Copy files to a memached server.
   * memcstat - Dump the stats of your servers to standard output
   * memcslap - Generate testing loads on a memcached cluster
