=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=
CXXFLAGS=

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
TMP=$(CURDIR)/debian/tmp/

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# Naming conflict: rename commandline programs
	for memfile in $(TMP)/usr/bin/mem* $(TMP)/usr/share/man/man1/mem*.1 ; do \
		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=libmemcached-dbg

override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..
